Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rj.tools.jcsc
Class BatchSummary

    java.lang.Object
      |
      +--rj.tools.jcsc.BatchSummary

public class BatchSummary
extends java.lang.Object

Argument being passed into ResultsFormatter when being used in batch mode. This class wraps up a collection of other parameters.

Version:
  $Revision: 1.1 $
Author:
  Ralph Jocham

Constructor Summary
`BatchSummary(OverviewStatistics overviewStatistics, java.lang.String destDir, java.lang.String rulesName, int worstCount)` Create a instance

Method Summary
`java.lang.String` | `getDestDir()` Get the destination directory where to put the generated files.
`OverviewStatistics` | `getOverviewStatistics()` Get the overview staticscs of whole batch run
`java.lang.String` | `getRulesName()` Get the name of rules files which was applied
`int` | `getWorstCount()` Get the number of worst files to be used in summary for whole project

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BatchSummary

    public BatchSummary(OverviewStatistics overviewStatistics,
                        java.lang.String destDir,
                        java.lang.String rulesName,
                        int worstCount)

  Create a instance
  Parameters:
    `overviewStatistics` - a instance of OverviewStatistics
    `destDir` -
    `rulesName` -
    `worstCount` -

Method Detail

### getOverviewStatistics

    public OverviewStatistics getOverviewStatistics()

  Get the overview staticscs of whole batch run
  Returns:
    overview statistic of whole batch run

### getDestDir

    public java.lang.String getDestDir()

  Get the destination directory where to put the generated files.
  Returns:
    destination folder for files

### getRulesName

    public java.lang.String getRulesName()

  Get the name of rules files which was applied
  Returns:
    name of applied rules

### getWorstCount

    public int getWorstCount()

  Get the number of worst files to be used in summary for whole project
  Returns:
    number of worst files

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(c) 1999-2004 by Ralph Jocham (rjocham72@netscape.net)
JCSC is released under the terms of the GNU General Public License